package com.dxhy.common.enums;

/**
 * 统计表-是否签名
 * 
 * @author kangzq 20190507
 *
 */
public enum SignStatusEnum {

    /**
     * 未申请
     */
    WSQ("0", 1),
    /**
     * 申请中
     */
    SQZ("1", 2),
    /**
     * 申请成功
     */
    SQCG("2", 3),
    /**
     * 申请失败
     */
    SQSB("3", 4);

    private final String[] SIGNSTATUSMC = {"未申请", "申请中", "申请成功", "申请失败"};

    private String signStatusgDm;
    private int index;

    SignStatusEnum(String signStatusgDm, int index) {
        this.signStatusgDm = signStatusgDm;
        this.index = index;
    }

    public String getSignStatusDm(int index) {
        for (SignStatusEnum fplx : SignStatusEnum.values()) {
            if (fplx.getIndex() == index) {
                return fplx.signStatusgDm;
            }
        }
        return null;
    }

    public String getSignStatusMc(int index) {
        int length = SIGNSTATUSMC.length;
        if (index <= length) {
            return SIGNSTATUSMC[index - 1];
        }
        return null;
    }

    public String getSignStatusgDm() {
        return signStatusgDm;
    }

    public void setSignStatusgDm(String signStatusgDm) {
        this.signStatusgDm = signStatusgDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
